# Qeyd

Bütün məsələlər üçün keçərlidir:
* Zaman və yaddaş limitləri yarış sisteminin "Overview" səhifəsində verilib.
* Yarış sistemindən yükləyə biləcəyiniz əlavə paketi verilmişdir. Əlavə paketi nümunə qreyderlərdən, nümunə implementasiyalardan, test nümunələrindən və kompayl və icra skriptindən ibarətdir.
* Hər bir tapşırığın 0 bal dəyərində 0 indeksli alt tapşırığı var. Bu alt tapşırığın testləri yükləyə bildiyiniz paketdəki testlər ilə eynidir.
* Hər bir tapşırıq üçün ən çoxu 50 həll göndərə bilərsiniz, və hər bir həlldə yalnız və yalnız bir fayl göndərə bilərsiniz.
* Proqramlarınızı nümunə grader ilə test edərkən giriş verilənləriniz tapşırığın şərtində verilən format və məhdudiyyətlərə uyğun olmalıdır, əks halda qeyri-müəyyən davranışlar baş verə bilər.
* Əgər məsələnin şərtində başqa format açıqca qeyd edilməyibsə, nümunə qreyderin giriş verilənlərində bir sətirdə istənilən ardıcıl iki verilən bir boşluqla ayrılır.
* Öz lokal qurğunuzda (kompüterinizdə) kodunuzu test edərkən qoşma paketindəki skripti istifadə etməyinizi məsləhət görürük. Nəzərə alın ki, biz `-std=gnu++17` kompilyator özəlliyini istifadə edirik.
* Əgər həllinizi CMS sisteminə göndərə bilmirsinizsə, `ioisubmit` alətindən istifadə edərək həllinizi yarışma bitdikdən sonra qiymətləndirilməsi üçün saxlaya bilərsiniz. Bunun üçün:
 - `ioisubmit <məsələnin_qısa-adı> <həll_faylı>` əmrini `<həll_faylı>` yerləşən qovluqda yerinə yetirin.
 - Komissiya üzvündən ioisubmit əmrinin çıxışının şəklini cəkməsini tələb edin. Bunu etməsəniz, göndərdiyiniz həll nəzərə alınmayacaqdır.
 - Göndərdiyiniz həllə yalnız Komanda Rəhbərinizin müraciəti ilə birlikdə baxılacaq.


# Konvensiyalar
Tapşırıqların şərtləri işarələmələri ümumi tiplər olan `bool`, `int`, `int64`, `int[]` (massiv) və `int[][]` (2 ölçülü massiv) şəklində verməklə bildirir.

C++'da qreyderlər uyğun data tiplərini və ya implementasiyaları aşağıda sadalanan şəkildə istifadə edir:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | `a` massivinin uzunluğu |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
