# Aviso

Para todas las tareas:

* Los límites de tiempo y memoria están disponibles en la página "Overview" del sistema del concurso.
* Los límites de tiempo y memoria están disponibles en la página "Overview" del sistema del concurso.
* Hay un paquete adjunto que puede descargarse del sistema del concurso y que contiene ejemplos de calificadores, ejemplos de implementación, ejemplos de casos de prueba y scripts de compilación y ejecución.
* Cada tarea tiene una subtarea con índice 0 que vale 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba de ejemplo del archivo adjunto descargable.
* Puede enviar hasta 50 propuestas para cada tarea, y tiene que enviar exactamente un archivo en cada propuesta.
* Cuando pruebe un programa con el calificador de ejemplo, su entrada debe coincidir con el formato y las restricciones del enunciado de la tarea; de lo contrario, pueden producirse comportamientos no especificados. Cada dos tokens consecutivos en una línea están separados por un solo espacio, a menos que se especifique explícitamente otro formato.
* Cuando pruebes tu código en tu máquina local, te recomendamos que utilices los scripts de los paquetes adjuntos. Tenga en cuenta que utilizamos la opción de compilador `-std=gnu++17`.
* Si no puedes enviar tu código al CMS, puedes utilizar la herramienta `ioisubmit` para almacenarlo y evaluarlo una vez finalizado el concurso.
  - Ejecute el siguiente comando desde el directorio que contiene `<archivo_fuente>` - el archivo que desea enviar:
  `ioisubmit <nombre_de_la_tarea> <archivo_de_origen>`.
  - Pida a un miembro del comité que haga una foto de la salida de `ioisubmit`. Su envío será rechazado si no se ha realizado este paso.
  - Su solicitud sólo se tendrá en cuenta si va acompañada de una apelación de su team leader.

# Convención

Las sentencias de tarea especifican firmas utilizando nombres de tipos genéricos `bool`, `int`, `int64`, `int[]` (array), e `int[][]` (array de arrays).

En C++, los calificadores utilizan tipos de datos o implementaciones apropiados, como se indica a continuación

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | longitud del array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
