# הודעה

בכל המשימות:

* מגבלות הזמן והזכרון זמינות בעמוד "Overview" במערכת התחרות.
* יש חבילת קבצים מצורפת שאתם יכולים להוריד ממערכת התחרות, המכילה גריידרים לדוגמה, דוגמאות מימוש, טסטים לדוגמה, וסקריפטים לקימפול ולהרצה.
* לכל שאלה יש תת משימה באינדקס 0 ששווה 0 נקודות. הטסטקייסים לתת המשימה הזאת זהים לטסטקייסים לדוגמה המצורפים בחבילת הקבצים המצורפת.
* אתם יכולים לבצע עד 50 הגשות בכל שאלה, ועליכם להגיש בדיוק קובץ אחד בכל הגשה. 
* בעת בדיקת התוכנית שלכם עם הגריידר לדוגמה, על הקלט שלכם להתאים לפורמט ולמגבלות מתיאור השאלה. אחרת, התנהגויות לא מוגדרות עלולות להתרחש. כל שני סימבולים עוקבים בשורה מופרדים ע"י רווח בודד, אלא אם כן פורמט אחר צוין במפורש.
* כאשר אתם בודקים את הקוד שלכם לוקאלית, אנו ממליצים לכם להשתמש בסקריפטים שבחבילת הקבצים המצורפת. שימו לב שאנו משתמשים בדגל `-std=gnu++17` של הקומפיילר.
* אם אינכם מסוגלים להגיש ל-CMS, אתם יכולים להשתמש בכלי `ioisubmit` כדי לשמור את הקוד שלכם לבדיקה לאחר סוף התחרות. 
  * הריצו את הפקודה הבאה מהתיקיה המכילה את `<source_file>` - הקובץ שאתם רוצים להגיש:
`ioisubmit <task_shortname> <source_file>`
   * בקשו מחבר וועדה לצלם תמונה של הפלט של `ioisubmit`. ההגשה שלכם תיפסל אלא אם כן צעד זה בוצע.
   * ההגשה שלכם תישקל אם היא תהיה מלווה בערעור מלידר הקבוצה שלכם.
   
# קונבנציות

בתיאור השאלות משתמשים בחתימות עם שמות הטיפוסים הגנריים `int[]`, `bool`, `int`, `void` (מערך).
ב-++C, הגריידרים משתמשים בטיפוסים מתאימים או במימושים שלהם, כמתואר למטה


| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       |  `a` אורך המערך |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |




