# Эскертүү

Бардык тапшырмалар үчүн:

* Убакыт жана эстутум чектөөлөрү сынак системасындагы "Overview" бетинде жеткиликтүү.
* Сынактын тутумунан жүктөп ала турган тиркеме топтому бар, анда үлгү грейдерлерди, ишке ашыруунун үлгүлөрүн, мисал сыноо учурларын жана скрипттерди түзүп жана иштете аласыз.
* Ар бир тапшырмада индекси 0 болгон кошумча тапшырма бар, ал 0 упайга барабар. Бул  тапшырмача үчүн сыноо учурлары жүктөлүп алынуучу тиркемедеги үлгү сыноо учурлары менен бирдей.
* Ар бир тапшырма үчүн 50гө чейин тапшыра аласыз жана ар бир тапшырууда так бир файл тапшырышыңыз керек.
* Үлгү грейдер менен программаны сынап жатканда, сиздин киргизгениңиз тапшырма билдирүүсүндөгү форматка жана чектөөлөргө дал келиши керек, антпесе, такталбаган жүрүм-турум пайда болушу мүмкүн. Эгерде башка формат ачык көрсөтүлбөсө, саптагы ар бир эки ырааттуу белги бир боштук менен бөлүнөт.
* Кодуңузду жергиликтүү машинаңызда сынап көргөнүңүздө, тиркеме пакеттериндеги скрипттерди колдонууну сунуштайбыз. Сураныч, биз `-std=gnu++17` компилятор опциясын колдонобуз.
* Эгер сиз CMSке тапшыра албасаңыз, сынак аяктагандан кийин баалоо үчүн кодуңузду сактоо үчүн `ioisubmit` куралын колдонсоңуз болот.
   - Сиз тапшыргыңыз келген файлды камтыган `<source_file>` каталогунан төмөнкү буйрукту аткарыңыз:
`ioisubmit <task_shortname> <source_file>`
   - Комитеттин мүчөсүнөн `ioisubmit` чыгарууну сүрөткө тартууну сураныңыз. Бул кадам аткарылмайынча, тапшырганыңыз четке кагылат.
   - Сиздин билдирүүңүз, эгерде сиздин командаңыздын жетекчисинин кайрылуусу менен коштолсо гана каралат.

# Келишим

Тапшырма билдирмелери `bool`, `int`, `int64`, `int[]` (массив) жана `int[][]` (массивдердин массивдери) жалпы типтеги аталыштарды колдонуу менен кол тамгаларды аныктайт.

C++ тилинде грейдерлер төмөндө келтирилгендей тиешелүү маалымат түрлөрүн же ишке ашырууларды колдонушат

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | `a` массивдин узундугу |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |

