# Not

Tüm görevler için:

* Süre ve hafıza limitleri yarışma sistemindeki "Genel Bakış (overview)" sayfasında mevcuttur.
* Yarışma sisteminden indirebileceğiniz, sample grader, örnek kodlamalar, örnek test senaryoları, derleme ve çalıştırma komut dosyalarını içeren bir ek paket bulunmaktadır.
* Her görevin 0 puan değerindeki 0 indeksli bir alt görevi vardır. Bu alt göreve ilişkin test senaryoları, indirilebilir ekteki örnek test senaryolarıyla aynıdır.
* Her görev için en fazla 50 gönderim yapabilirsiniz ve her gönderimde tam olarak bir dosya göndermeniz gerekmektedir.
* Bir programı sample grader ile test ederken, girdiniz görev bildirimindeki format ve kısıtlamalarla eşleşmelidir, aksi takdirde belirlenmeyen davranışlar ortaya çıkabilir. Başka bir format açıkça belirtilmediği sürece, bir satırdaki her iki ardışık ifade tek bir boşlukla ayrılır.
* Kodunuzu yerel makinenizde test ederken ek paketlerdeki scriptleri kullanmanızı öneririz. Lütfen `-std=gnu++17` derleyici seçeneğini kullandığımızı unutmayın.
* CMS'e gönderim yapamıyorsanız, yarışma bitiminden sonra değerlendirmek üzere kodunuzu saklamak için `ioisubmit` aracını kullanabilirsiniz.
- Göndermek istediğiniz dosya olan `<kaynak_dosya>` içeren dizinden aşağıdaki komutu çalıştırın: `ioisubmit <görev_kısa adı> <kaynak_dosyası>`
   - Bir komite üyesinden `ioisubmit` çıktısının fotoğrafını çekmesini isteyin. Bu adım yapılmadığı takdirde gönderiminiz reddedilecektir.
   - Gönderiminiz yalnızca Takım Liderinizin itirazıyla birlikte gelirse dikkate alınacaktır.

# Genel Uygulama (Konvensiyon)

Görev tanımları, `bool`, `int`, `int64`, `int[]` (dizi) ve `int[][]` (dizilerin dizisi) genel tür adlarını kullanarak signatur'ları belirtir.

C++'da grader'lar aşağıda listelendiği gibi uygun veri türlerini ya da kodlamaları kullanır:

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       |  `a` dizisinin uzunluğu|
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |
