
# ملاحظات

من أجل كل المسائل:
* حدود الوقت والذاكرة متوفرة في صفحة "*Overview*" ضمن نظام المسابقة.
*  هناك حزمة مرفقة يمكنك تحميلها من نظام المسابقة، تحتوي على المصححات التجريبية، الحلول التجريبية، أمثلة حالات الاختبار، والكومبايلر والنصوص.
*  كل مسألة لها مسألة جزئية ذات الرقم 0 ليس لها أي درجة تقييم. حالة الاختبار لهذه المسألة هي نفس حالة الاختبار المذكورة في أمثلة حالات الاختبار التي يمكن تحميلها
*  يمكنك إرسال 50 إرسال كحد أقصى من أجل كل مسألة، وعليك إرسال ملف واحد فقط في كل إرسال.
*  عند اختبار البرنامج على المصحح التجريبي، على دخلك أن يطابق تنسيق وحدود المسألة المذكورة في النص، وإلا قد يحدث سلوك غير متوقع. يوجد فراغ بين كل قيمتي دخل مالم يذكر خلاف ذلك.
* عند اختبار كودك على الآلة المحلية، ننصح باستخدام السكربت المرفق. انتبه أننا نستخدم خيار المترجم 
`-std=gnu++17`
*  اذا لم تكن قادراً على استخدام نظام CMS فعليك باستخدام الأداة 
 `ioisubmit`
لتخزين الكود الخاص بك لتقييمه بعد انتهاء المسابقة
-  قم بتشغيل التعليمة التالية من المجلد الذي يحتوي على 
`<source_file>` (الملف الذي تريد تسليمه)

`ioisubmit <task_shortname> <source_file>`
-اطلب من المنظمين أخذ صورة لخرج 
 `ioisubmit`
الخاص بك وإلا طلبك سيتم رفضه.
- طلبك سيتم معالجته فقط في حالة تقدم قائد الفريق الخاص بك باعتراض 



# اصطلاح

يحدد نص المسألة توقيع التوابع باستخدام اسماء الأنماط المعممة مثل  `bool`, `int`, `int64`, `int[]` (array), و `int[][]` (array of arrays).

في لغة C++ يقوم المصحح باستخدام أنماط المعطيات المناسبة والتنجيزات كما في الجدول التالي


| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | length of array `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |



